Summary:	X.org video driver for old S3 video adapters
Summary(pl.UTF-8):	Sterownik obrazu X.org dla starych kart graficznych S3
Name:		xorg-driver-video-s3
Version:	0.6.5
Release:	10
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-s3-%{version}.tar.bz2
# Source0-md5:	37248d5c5a04d7f91c6f634cc592b304
Patch0:		mibstore.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.4
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.4
Provides:	xorg-driver-video
Obsoletes:	X11-driver-s3 < 1:7.0.0
Obsoletes:	XFree86-S3
Obsoletes:	XFree86-driver-s3 < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for old S3 video adapters. It supports:
- Trio32 (86C732)
- Trio64 (86C764)
- Trio64V+ (86C765),
- Aurora64V+ (86CM65),
- Trio64UV+ (86C767),
- Trio64V2/DX (86C775),
- Trio64V2/GX (86C785),
- Vision964 (86C964),
- Vision968 (86C968).

%description -l pl.UTF-8
Sterownik obrazu X.org dla starych kart graficznych S3. Obsługuje
układy:
- Trio32 (86C732)
- Trio64 (86C764)
- Trio64V+ (86C765),
- Aurora64V+ (86CM65),
- Trio64UV+ (86C767),
- Trio64V2/DX (86C775),
- Trio64V2/GX (86C785),
- Vision964 (86C964),
- Vision968 (86C968).

%prep
%setup -q -n xf86-video-s3-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/s3_drv.so
%{_mandir}/man4/s3.4*
%changelog
* Sun Nov 20 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-s3.git;a=log;h=master

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> e0bc367
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> b72b068
- release 9 (by relup.sh)

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6916a77
- due to xserver 1.17
- release 8 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d87370e
- xserver rebuild
- release 7 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 942415f
- xserver rebuild
- release 6 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 83cecdc
- release 5 (by relup.sh)

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 303b51a
- fix building with xserver 1.14
- rel 4

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 87999a9
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d81aa54
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 0fdd614
- updated to 0.6.5

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> a481baa
- updated to 0.6.4

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 96724a4
- release 8

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> ddddadd
- xorg-driver-video virtual for video drivers
- release 7

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 77204ee
- release 6

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 761ebed
- rel up

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> edc86b4
- added README to docs
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 16332a7
- release 4

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> abb800f
- release 3

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> c4664f4
- release 2

* Sun Sep 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f6ba76
- mandir is back

